Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.util
Class HashMapSoftValues

    java.lang.Object
      java.util.AbstractMap
          java.util.HashMap
              ru.biosoft.util.HashMapSoftValues

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

public class HashMapSoftValues
extends java.util.HashMap

Author:
  DevelopmentOnTheEdge
See Also:
  Serialized Form
To do:
  Doc

Nested Class Summary
`protected static class` | `HashMapSoftValues.SoftValueRef`

Constructor Summary
`HashMapSoftValues()`

Method Summary
`java.lang.Object` | `get(java.lang.Object key)`
`java.util.Iterator` | `iterator()`
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)`
`java.util.Collection` | `values()`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, isEmpty, keySet, putAll, remove, size`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### HashMapSoftValues

    public HashMapSoftValues()

To do:
  Doc

Method Detail

### get

    public java.lang.Object get(java.lang.Object key)

  To do:
    Doc

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

  To do:
    Doc

### values

    public java.util.Collection values()

  Pendung:
    oprimize???

### iterator

    public java.util.Iterator iterator()

  To do:
    remove

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.